import Request from '../common/request.js';
let request = new Request().http

 export function getCity() {
 	 return request('/user/store/app/address/getCity',null,'GET');
 }
 export function getCitys() {
 	 return request('/store/app/address/getCitys',null,'GET');
 }
 export function getAddressList() {
 	 return request('/store/app/address/getAddressList',null,'GET');
 }

 export function getAddressById(data) {
 	 return request('/store/app/address/getAddressById',data,'GET');
 } 
 
 export function addAddress(data) {
 	return request('/store/app/address/addAddress',data,'POST','application/json;charset=UTF-8');
 }

 export function editAddress(data) {
 	return request('/store/app/address/editAddress',data,'POST','application/json;charset=UTF-8');
 }
 export function delAddress(data) {
 	return request('/store/app/address/delAddress',data,'POST','application/json;charset=UTF-8');
 }
 
 export function parseAddress(data) {
 	return request('/store/app/address/parseAddress',data,'POST','application/json;charset=UTF-8');
 }
 
 export function delAllAddress(data) {
 	return request('/store/app/address/delAllAddress',data,'POST','application/json;charset=UTF-8');
 }
 
 